=== debian/control ===
Source: ros-foxy-camera-info-manager
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-camera-calibration-parsers, ros-foxy-rclcpp, ros-foxy-rcpputils, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/camera_info_manager
Standards-Version: 3.9.2

Package: ros-foxy-camera-info-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-camera-calibration-parsers, ros-foxy-rclcpp, ros-foxy-rcpputils, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: This package provides a C++ interface for camera calibration information.
 It provides CameraInfo, and handles SetCameraInfo service requests, saving and restoring the camera calibration data.
